CramerShoupPrivateKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class CramerShoupPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.CramerShoupKeyParameters
    - - org.bouncycastle.crypto.params.CramerShoupPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class CramerShoupPrivateKeyParameters
      extends CramerShoupKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CramerShoupPrivateKeyParameters(CramerShoupParameters params, java.math.BigInteger x1, java.math.BigInteger x2, java.math.BigInteger y1, java.math.BigInteger y2, java.math.BigInteger z)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CramerShoupPublicKeyParameters` | `getPk()`
    `java.math.BigInteger` | `getX1()`
    `java.math.BigInteger` | `getX2()`
    `java.math.BigInteger` | `getY1()`
    `java.math.BigInteger` | `getY2()`
    `java.math.BigInteger` | `getZ()`
    `int` | `hashCode()`
    `void` | `setPk(CramerShoupPublicKeyParameters pk)`

    - ### Methods inherited from class org.bouncycastle.crypto.params.CramerShoupKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CramerShoupPrivateKeyParameters

          public CramerShoupPrivateKeyParameters(CramerShoupParameters params,
                                                 java.math.BigInteger x1,
                                                 java.math.BigInteger x2,
                                                 java.math.BigInteger y1,
                                                 java.math.BigInteger y2,
                                                 java.math.BigInteger z)

  - ### Method Detail

    - #### getX1

          public java.math.BigInteger getX1()

    - #### getX2

          public java.math.BigInteger getX2()

    - #### getY1

          public java.math.BigInteger getY1()

    - #### getY2

          public java.math.BigInteger getY2()

    - #### getZ

          public java.math.BigInteger getZ()

    - #### setPk

          public void setPk(CramerShoupPublicKeyParameters pk)

    - #### getPk

          public CramerShoupPublicKeyParameters getPk()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CramerShoupKeyParameters`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `CramerShoupKeyParameters`